Allow user to be exempt from IP blocks
Closed, ResolvedPublic


Some good contributors unfortunately share an IP address with vandals. I propose
adding a user right to enable known good users with a history of being caught as
a side effect of IP blocks to be exempt from all normal IP blocks, autoblocks,
range blocks, and proxy blacklists. The proposed user right, however, would not
exempt the user from a block applied directly to the user's account.

I created a small patch (currently completely untested) which adds the new user
right (which I called 'noipblock') and a group with that right (also 'noipblock').

Version: 1.6.x
Severity: enhancement
OS: Linux
Platform: PC

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz3706.
CesarB created this task.Via LegacyOct 14 2005, 12:48 PM
CesarB added a comment.Via ConduitOct 14 2005, 12:50 PM

Created attachment 997
Patch to implement the proposed semantics

Patch to implement the proposed semantics. This patch is completely untested.

Attached: noipblock-2.diff

CesarB added a comment.Via ConduitOct 14 2005, 12:52 PM

Related discussion on en:

*[[User talk:Grutness#Block]]
*[[Wikipedia talk:Blocking policy proposal#A compromise]]

Thryduulf added a comment.Via ConduitDec 26 2005, 3:37 PM

This is a duplicate of [[Bug:550]], I've marked it as such but don't know how to
copy comments/patches.

  • This bug has been marked as a duplicate of 550 ***
CesarB added a comment.Via ConduitJan 6 2006, 7:08 PM

Not a duplicate, what this bug and bug 550 are asking for is slightly different
(bug 550 asks for a flag on the IP block, and this one asks for a flag on the
user account).

bzimport added a comment.Via ConduitJan 11 2006, 6:40 PM

ilyanep wrote:

I would move the patch to Bug 550 and mark this duplicate, becacuse we're discussing the same end
result with different methods.

bzimport added a comment.Via ConduitJan 11 2006, 7:34 PM wrote:

While I would agree it would be good to discuss alternatives all in one spot, I
do not believe this alternative or any others have been properly discussed under
Bug 550. Here are some other proposals, some of which are complementary, and
some do not have the same result:
Bug 1294, Bug 2044. Note that 1294 looks very similar, but has a totally
different intent and result.

werdna added a comment.Via ConduitJan 7 2007, 3:23 AM

Fixed in r18904.

Add Comment